import { getAnimatableNone } from '../../dom/value-types/animatable-none.mjs';

function makeNoneKeyframesAnimatable(unresolvedKeyframes, noneKeyframeIndexes, name) {
    /**
     * If we detected "none"-equivalent keyframes, we need to find a template
     */
    let i = 0;
    let animatableTemplate = undefined;
    while (i < unresolvedKeyframes.length && !animatableTemplate) {
        if (typeof unresolvedKeyframes[i] === "string" &&
            unresolvedKeyframes[i] !== "none" &&
            unresolvedKeyframes[i] !== "0") {
            animatableTemplate = unresolvedKeyframes[i];
        }
        i++;
    }
    if (animatableTemplate && name) {
        for (const noneIndex of noneKeyframeIndexes) {
            unresolvedKeyframes[noneIndex] = getAnimatableNone(name, animatableTemplate);
        }
    }
}

export { makeNoneKeyframesAnimatable };
